<option type="enum" id="opt/gutenprint-ijs.5.2-stp_enablereddensity">
  <!-- A multilingual <comments> block can appear here, too;
       it should be treated as documentation for the user. -->
  <arg_longname>
   <en>Red Density Enable</en>
  </arg_longname>
  <arg_shortname>
   <en>STP_EnableRedDensity</en><!-- backends only know <en> shortnames! -->
  </arg_shortname>
  <arg_execution>
   <arg_group>GutenprintOutputControlExtra1</arg_group>
   <arg_order>1760</arg_order>
   <arg_spot>B</arg_spot>
   <arg_substitution />
   <arg_proto>STP_EnableRedDensity=%s,</arg_proto>
  </arg_execution>

  <constraints>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-E_200</printer><!-- gutenprint name: escp2-e200 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Photo_R1800</printer><!-- gutenprint name: escp2-r1800 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_G900</printer><!-- gutenprint name: escp2-pxg900 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PictureMate_2005</printer><!-- gutenprint name: escp2-picmate2005 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_G5300</printer><!-- gutenprint name: escp2-pxg5300 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PictureMate</printer><!-- gutenprint name: escp2-picmate -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Photo_R800</printer><!-- gutenprint name: escp2-r800 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PictureMate_Deluxe</printer><!-- gutenprint name: escp2-picmated -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_G5000</printer><!-- gutenprint name: escp2-pxg5000 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Photo_R1900</printer><!-- gutenprint name: escp2-r1900 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PictureMate_500</printer><!-- gutenprint name: escp2-picmate500 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PM_G820</printer><!-- gutenprint name: escp2-pmg820 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PM_G800</printer><!-- gutenprint name: escp2-pmg800 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PictureMate_200</printer><!-- gutenprint name: escp2-picmate200 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-E_100</printer><!-- gutenprint name: escp2-e100 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_G920</printer><!-- gutenprint name: escp2-pxg920 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
  </constraints>

  <enum_vals>
    <enum_val id='ev/gutenprint-ijs.5.2-Disabled'>
      <ev_longname><en>Disabled</en></ev_longname>
      <ev_shortname><en>Disabled</en></ev_shortname>
      <ev_driverval>Disabled</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-E_200 == escp2-e200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-E_200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R1800 == escp2-r1800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R1800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G900 == escp2-pxg900 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G900</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_2005 == escp2-picmate2005 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_2005</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G5300 == escp2-pxg5300 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G5300</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate == escp2-picmate -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R800 == escp2-r800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_Deluxe == escp2-picmated -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_Deluxe</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G5000 == escp2-pxg5000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G5000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R1900 == escp2-r1900 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R1900</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_500 == escp2-picmate500 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_500</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_G820 == escp2-pmg820 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_G820</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_G800 == escp2-pmg800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_G800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_200 == escp2-picmate200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-E_100 == escp2-e100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-E_100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G920 == escp2-pxg920 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G920</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-Enabled'>
      <ev_longname><en>Enabled</en></ev_longname>
      <ev_shortname><en>Enabled</en></ev_shortname>
      <ev_driverval>Enabled</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-E_200 == escp2-e200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-E_200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R1800 == escp2-r1800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R1800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G900 == escp2-pxg900 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G900</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_2005 == escp2-picmate2005 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_2005</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G5300 == escp2-pxg5300 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G5300</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate == escp2-picmate -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R800 == escp2-r800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_Deluxe == escp2-picmated -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_Deluxe</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G5000 == escp2-pxg5000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G5000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_R1900 == escp2-r1900 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_R1900</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_500 == escp2-picmate500 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_500</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_G820 == escp2-pmg820 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_G820</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_G800 == escp2-pmg800 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_G800</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PictureMate_200 == escp2-picmate200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PictureMate_200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-E_100 == escp2-e100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-E_100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_G920 == escp2-pxg920 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_G920</printer>
        </constraint>
      </constraints>
    </enum_val>
  </enum_vals>


</option>
